#include <bits/stdc++.h>

using namespace std;

int binpretpre(int a[],int n,int br)
{
    int p=0,k=n-1,m;
    if(a[0]>=br)
        return 0;
    if(a[n-1]<br)
        return n;
    while(k-p>1)
    {
        if((a[p]<br)&&(a[p+1]>=br))
            return p+1;
        m=(p+k)/2;
        if(a[m]<br)
            p=m;
        else
            k=m;
    }
    if((a[p]<br)&&(a[k]>=br))
        return k;
    return -1;
}

int binpretposle(int a[],int n,int br)
{
    int p=0,k=n-1,m;
    if(a[0]>br)
        return n;
    if(a[n-1]<=br)
        return 0;
    while(k-p>1)
    {
        if((a[k]>br)&&(a[k-1]<=br))
            return n-k;
        m=(p+k)/2;
        if(a[m]>br)
            k=m;
        else
            p=m;
    }
    if((a[k]>br)&&(a[p]<=br))
        return n-k;
    return -1;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,q,br,a,b,c,med;
    cin>>n>>q;
    int Y[n];
    for(int i=0;i<n;i++)
        cin>>Y[i];
    sort(Y,Y+n);
    med=n/2;
    med=Y[med];
    for(int i=0;i<q;i++)
    {
        cin>>br;
        a=binpretpre(Y,n,br);
        c=binpretposle(Y,n,br);
        b=n-a-c;
        if(b==0)
        {
            if(a==c)
                cout<<1<<endl;
            if(a<c)
                cout<<c-a+1<<endl;
            if(a>c)
                cout<<a-c<<endl;
        }
        if(b>0)
        {
            if(med==br)
                cout<<0<<endl;
            if(med<br)
                cout<<2*a-n<<endl;
            if(med>br)
                cout<<2*c+1-n<<endl;
        }
    }
}